%global base_name ironic-inspector-client
%global pypi_name python-%{base_name}

Name:           %{pypi_name}
Version:        1.2.0
Release:        6%{?dist}
Summary:        Python client and CLI tool for Ironic Inspector
# TODO(divius): add Python 3 packaging once oslo.utils and openstackclient are
# packaged for Python 3 in Fedora.

#patches_base=+1

License:        ASL 2.0
URL:            https://launchpad.net/%{pypi_name}
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-pbr
# This set of packages is required to run tests
BuildRequires:  python-cliff
BuildRequires:  python-mock
BuildRequires:  python-oslo-i18n
BuildRequires:  python-oslo-utils
BuildRequires:  python-openstackclient
BuildRequires:  python-requests
BuildRequires:  python-six

Requires:  python-cliff >= 1.14.0
Requires:  python-oslo-i18n >= 1.5.0
Requires:  python-oslo-utils >= 2.0.0
Requires:  python-openstackclient >= 1.5.0
Requires:  python-requests >= 2.5.2
Requires:  python-six >= 1.9.0

%{?python_provide:%python_provide python2-%{base_name}}
Provides: python2-ironic-inspector-client = %{version}-%{release}
Obsoletes:      python-ironic-discoverd < 1.1.1
Provides:       python-ironic-discoverd = %{version}

# Conflict due to ironic-discoverd also providing a CLI tool
Conflicts: python-ironic-discoverd


%description
Ironic Inspector is an auxiliary service for discovering hardware properties
for a node managed by OpenStack Ironic. Hardware introspection or hardware
properties discovery is a process of getting hardware parameters required for
scheduling from a bare metal node, given it’s power management credentials
(e.g. IPMI address, user name and password).

This package contains Python client and command line tool for Ironic Inspector.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# Let RPM handle the dependencies
rm -f {test-,}requirements.txt

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%check
%{__python2} -m unittest discover ironic_inspector_client.test

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/ironic_inspector_client*
%{python2_sitelib}/python_ironic_inspector_client*egg-info

%changelog
* Tue Jan 05 2016 Mike Burns <mburns@redhat.com> 0.2.0-6
- add obsoletes for discoverd python client

* Sat Nov 07 2015 Mike Burns <mburns@redhat.com> 0.2.0-5
- Add python2 Provides

* Thu Nov 05 2015 Mike Burns <mburns@redhat.com> 0.2.0-4
- spec cleanup

* Thu Sep 24 2015 Dmitry Tantsur <divius.inside@gmail.com> - 1.2.0-2
- Use versioned dependencies

* Thu Sep 24 2015 Dmitry Tantsur <divius.inside@gmail.com> - 1.2.0-1
- New upstream release 1.2.0

* Tue Jul 14 2015 Dmitry Tantsur <divius.inside@gmail.com> - 1.0.1-1
- Initial package.
